For the complete documentation index, see llms.txt. This page is also available as Markdown.

Add Referral

Add a manual referral for an affiliate

POST https://platform.shoffi.app/API/affiliate/addReferral

Use this endpoint to add a manual referral directly to an affiliate.

Request Body

Name
Type
Description

apiKey*

String

Your Shoffi app API Key

appId*

Integer

Your app ID

email*

String

The affiliate email address

shopName*

String

The full .myshopify.com store URL of the referred shop

calManualBegin*

Boolean

Controls manual referral commission calculation. true uses the app installation date. false starts from today.

curl -X POST \
  https://platform.shoffi.app/API/affiliate/addReferral \
  -H 'Content-Type: application/json' \
  -d '{
    "apiKey": "YourKey",
    "appId": 00000000,
    "email": "[email protected]",
    "shopName": "https://store.myshopify.com",
    "calManualBegin": true
}'

Parameters breakdown

  • email: The affiliate email address.

  • shopName: The full .myshopify.com store URL of the referred shop.

  • calManualBegin: Controls how Shoffi calculates the manual referral commission.

    • true calculates commission from the app installation date.

    • false calculates commission from today.

For more about manual referral calculation modes, see Manual referrals.

Last updated